import 'evaluatebean.dart';

typedef OnInitCompleted = void Function();
typedef OnInitFailed = void Function(String code, String message);

class SVUIInitListener {
  OnInitCompleted onCompleted;
  OnInitFailed onFailed;

  SVUIInitListener({this.onCompleted, this.onFailed});
}

typedef OnOralEvaluateResult = void Function(EvaluateResultBean result);
typedef OnOralEvaluateFailed = void Function(String code, String message);

class OralEvluateListener {
  OnOralEvaluateResult onOralEvaluateResult;
  OnOralEvaluateFailed onOralEvaluateFailed;

  OralEvluateListener({this.onOralEvaluateResult, this.onOralEvaluateFailed});
}

typedef OnStopSuccess = void Function();
typedef OnStopFailed = void Function(String code, String message);

class SVUIStopListener {
  OnStopSuccess onStopSuccess;
  OnStopFailed onStopFailed;

  SVUIStopListener({this.onStopSuccess, this.onStopFailed});
}
